import request from '@/router/axios';

export const costBreakdownPage = (current, size, params) => {
  return request({
    url: '/api/redenvelopemall/finance/costBreakdownPage',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const costBreakdownStatistics = (current, size, params) => {
  return request({
    url: '/api/redenvelopemall/finance/costBreakdownStatistics',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}
export const salesOfTheDay = (current, size, params) => {
  return request({
    url: '/api/redenvelopemall/finance/salesOfTheDay',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}
export const salesOfTheDayStatistics = (current, size, params) => {
  return request({
    url: '/api/redenvelopemall/finance/salesOfTheDayStatistics',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}
export const grossProfitStatistics = () => {
  return request({
    url: '/api/redenvelopemall/finance/grossProfitStatistics',
    method: 'get',
    params: {}
  })
}

