import request from '@/router/axios';

export const getGoodsStorageList = (current, size, params) => {
  return request({
    url: '/api/supplyChain/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const importGoods = (ids, grossRate, categoryIds, zoneType) => {
  return request({
    url: '/api/supplyChain/importData',
    method: 'post',
    params: {
      ids,
      grossRate,
      categoryIds,
      zoneType
    }
  })
}

export const getCategory = (parent_id, source) => {
  return request({
    url: '/api/supplyChain/Category/getCategory',
    method: 'get',
    params: {
      parent_id,
      source
    }
  })
}
